Package fr.gouv.vitam.storage.engine.common.model

# Class TapeCatalogLabel

java.lang.Object
fr.gouv.vitam.storage.engine.common.model.TapeCatalogLabel

public class TapeCatalogLabel extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `ALTERNATIVE_CODE`
  `static final String`
  `BUCKET`
  `static final String`
  `CODE`
  `static final String`
  `ID`
  `static final String`
  `TAG_CREATION_DATE`
  `static final String`
  `TYPE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TapeCatalogLabel()`
  `TapeCatalogLabel(String id, String code)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAlternativeCode()`
  `String`
  `getBucket()`
  `String`
  `getCode()`
  `String`
  `getCreated()`
  `String`
  `getId()`
  `String`
  `getType()`
  `TapeCatalogLabel`
  `setAlternativeCode(String alternativeCode)`
  `TapeCatalogLabel`
  `setBucket(String bucket)`
  `TapeCatalogLabel`
  `setCode(String code)`
  `TapeCatalogLabel`
  `setCreated(String created)`
  `TapeCatalogLabel`
  `setId(String id)`
  `TapeCatalogLabel`
  `setType(String type)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### ID

    public static final String ID
    See Also:
      - Constant Field Values

  - ### CODE

    public static final String CODE
    See Also:
      - Constant Field Values

  - ### ALTERNATIVE_CODE

    public static final String ALTERNATIVE_CODE
    See Also:
      - Constant Field Values

  - ### BUCKET

    public static final String BUCKET
    See Also:
      - Constant Field Values

  - ### TYPE

    public static final String TYPE
    See Also:
      - Constant Field Values

  - ### TAG_CREATION_DATE

    public static final String TAG_CREATION_DATE
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### TapeCatalogLabel

    public TapeCatalogLabel()

  - ### TapeCatalogLabel

    public TapeCatalogLabel(String id, String code)

- ## Method Details

  - ### getId

    public String getId()

  - ### setId

    public TapeCatalogLabel setId(String id)

  - ### getCode

    public String getCode()

  - ### setCode

    public TapeCatalogLabel setCode(String code)

  - ### getAlternativeCode

    public String getAlternativeCode()

  - ### setAlternativeCode

    public TapeCatalogLabel setAlternativeCode(String alternativeCode)

  - ### getBucket

    public String getBucket()

  - ### setBucket

    public TapeCatalogLabel setBucket(String bucket)

  - ### getType

    public String getType()

  - ### setType

    public TapeCatalogLabel setType(String type)

  - ### getCreated

    public String getCreated()

  - ### setCreated

    public TapeCatalogLabel setCreated(String created)